<div id="rightcol">
    <div class="bread">
        <a href="../index.html">Home</a><span class="graybread"> &gt; <a href="overview.html">Design Patterns</a> &gt; Process Centralization</span></div>
    <div id="title_row">
        <div class="left">
            <h2>Process Centralization <span class="title_small">(Erl)</span></h2>
            <p>How can abstracted business process logic be centrally governed?</p>
            </p></div>
        <div class="right"><img alt="Process Centralization" title="Process Centralization" src="https://patterns.arcitura.com/wp-content/uploads/2018/09/process_centralization.png"/></div>
        </p></div>
    <div class="content_box"><!--BEGIN CONTENT-->	</p>
        <p>	<!--BEGIN TABLE--></p>
        <div class="tabular">
            <h3>Problem</h3>
            <p>When business process logic is distributed across independent service implementations, it can be problematic to extend and evolve. </p>
            </p></div>
        <div class="tabular">
            <h3>Solution</h3>
            <p>Logic representing numerous business processes can be deployed and governed from a central location. </p>
            </p></div>
        <div class="tabular">
            <div class="tabular_left">
                <h3>Application</h3>
                <p>Middleware platforms generally provide the necessary orchestration technologies to apply this pattern. </p>
                </p></div>
            <div class="tabular_right">
                <h3>Impacts</h3>
                <p>Significant infrastructure and architectural changes are imposed when the required middleware is introduced. </p>
                </p></div>
            <div class="clear"/>
        </div>
        <div class="tabular">
            <div class="tabular_left">
                <h3>Principles</h3>
                <p><a href="http://serviceorientation.com/serviceorientation/service_autonomy">Service Autonomy</a>, <a href="http://serviceorientation.com/serviceorientation/service_statelessness">Service Statelessness</a>, <a href="http://serviceorientation.com/serviceorientation/service_composability">Service Composability</a></div>
            <div class="tabular_right">
                <h3>Architecture</h3>
                <p>Inventory, Composition</p></div>
            <div class="clear"/>
        </div>
        <p>	<!--END TABLE--></p>
        <div class="figure">
            <img src="https://patterns.arcitura.com/wp-content/uploads/2018/09/fig1-85.png" class="error" alt="Process Centralization: Task services can continue to be implemented as separate Web services, but as part of an orchestration platform their collective business process logic is centrally located and governed (resulting in 'orchestrated' task services)." title="Process Centralization: Task services can continue to be implemented as separate Web services, but as part of an orchestration platform their collective business process logic is centrally located and governed (resulting in 'orchestrated' task services)."/></p>
            <p>Task services can continue to be implemented as separate Web services, but as part of an orchestration platform their collective business process logic is centrally located and governed (resulting in &#8220;orchestrated&#8221; task services). </p>
            </p></div>
        <p>	<!--BOTTOM BOX--></p>
        <div class="bottom_table">
            <h3>Related Patterns in This Catalog</h3>
            <p><a href="agnostic_sub_controller.html">Agnostic Sub-Controller</a>, <a href="canonical_resources.html">Canonical Resources</a>, <a href="capability_composition.html">Capability Composition</a>, <a href="capability_recomposition.html">Capability Recomposition</a>, <a href="non_agnostic_context.html">Non-Agnostic Context</a>, <a href="partial_state_deferral.html">Partial State Deferral</a>, <a href="process_abstraction.html">Process Abstraction</a>, <a href="state_repository.html">State Repository</a></p>
            <h3>Related Patterns in Other Catalogs</h3>
            <p><a href="http://www.eaipatterns.com/ProcessManager.html">Process Manager</a></p>
            <h3>Related Service-Oriented Computing Goals</h3>
            <p><a href="http://serviceorientation.com/whatissoa/increased_vendor_diversification_options">Increased Vendor Diversification Options</a>, <a href="http://serviceorientation.com/whatissoa/reduced_it_burden">Reduced IT Burden</a></p>
            </p></div>
        <p><!--END CONTENT--><br />
            <!--BOOK BOX--></p>
        <div id="boxy">
            <div class="book_box module">
                <div class="book_img">
                    <a href="https://www.arcitura.com/soa-school/courses/soacp-module-7-advanced-soa-design-architecture-with-services-microservices/"><img title="Module 7: Advanced SOA Design &amp; Architecture with Services &amp; Microservices" alt="Module 7: Advanced SOA Design &amp; Architecture with Services &amp; Microservices" src="https://patterns.arcitura.com/wp-content/uploads/2018/09/module_7.png"/></a>
                </div>
                <div class="book_caption">
                    <p>This pattern is covered in SOACP <a href="https://www.arcitura.com/soa-school/courses/soacp-module-7-advanced-soa-design-architecture-with-services-microservices/">Module 7: Advanced SOA Design &amp; Architecture with Services &amp; Microservices</a>.</p>
                    <p>For more information regarding the SOA Certified Pofessional (SOACP) curriculum,<br />visit <a href="https://www.arcitura.com/soa-school/">www.arcitura.com/soa</a>.</p>
                    </p></div>
                </p></div>
            <p>			<!--END BOOK BOX--></p>
            <p>			<!--BOOK BOX--></p>
            <div class="book_box">
                <div class="book_img">
                    <a href="https://www.arcitura.com/book/soa-design-patterns/overview/"><img src="https://patterns.arcitura.com/wp-content/uploads/2018/09/book_patterns_small.png" alt="SOA Design Patterns" title="SOA Design Patterns"/></a>
                </div>
                <div class="book_caption">
                    <p>This page contains excerpts from:</p>
                    <p><a href="https://www.arcitura.com/book/soa-design-patterns/overview/" class="title">SOA Design Patterns</a> by Thomas Erl</p>
                    <p>(ISBN: 0136135161, Hardcover, Full-Color, 400+ Illustrations, 865 pages)</p>
                    <p>For more information about this book, visit <a href="https://www.arcitura.com/books/"> www.arcitura.com/books</a>.</p>
                    </p></div>
                </p></div>
            <p>			<!--END BOOK BOX--></div>
        </p></div>
    </p></div>
